[CentOS] xCache install error ($PHP_AUTOCONF?)

James Bensley jwbensley at gmail.com
Tue Jan 6 13:41:06 UTC 2009


Hey Guys

I'm trying to install xcache on our web server (php optcode cacher)
but I am having the following error. I have download the xcache tar
ball, unzipped and when in the unzipped directory attempting to run
phpize but it fails with the following error:

[root at server1882 xcache-1.2.2]# phpize
Configuring for:
PHP Api Version:         20041225
Zend Module Api No:      20060613
Zend Extension Api No:   220060519
Cannot find autoconf. Please check your autoconf installation and the
$PHP_AUTOCONF
environment variable is set correctly and then rerun this script.

Ok, $PHP_AUTOCONF doesn't exist so I made it in my bash profile and
set to it /usr/local/bin where autoconf is installed too. After
logging in and out it didn't work although the environment variable
had correct exported. I checked online some people have mentioned you
need libtool installed aswell but I have that too (and automake before
you ask, all three are installed and have symbolic links in /usr/bin
to /usr/local/bin) but this still isn't working and I can't work it
out.

Can anyone shed any light on this for me?

Thanks for reading listee's!

Regards,
James.

-----BEGIN GEEK CODE BLOCK-----
  Version: 3.1
GIT/MU/U dpu s: a--> C++>$ U+> L++> B-> P+> E?> W+++>$ N K W++ O M++>$ V-
PS+++ PE++ Y+ PGP t 5 X+ R- tv+ b+> DI D+++ G+ e(+++++) h--(++) r++ z++
------END GEEK CODE BLOCK------


More information about the CentOS mailing list